<!DOCTYPE html>
<html lang="en">
<head>
	<title>Tradespace - Login</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer">
	<link href="../assets/dist/css/bootstrap.min.css" rel="stylesheet">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<link href="/css/style.css" rel="stylesheet">
	<!-- Favicons -->
	<link href="/img/favicon.png" rel="icon">
	<link rel="apple-touch-icon" sizes="180x180" href="/img/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/img/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/img/favicon-16x16.png">
</head>
<body>
	<section class="h-100">
		<div class="container h-100">
			<div class="row justify-content-center h-100">
				<div class="col-xxl-5 col-xl-6 col-lg-7 col-md-9 col-sm-12 col-xs-12 col-12">
					<div class="text-center my-5">
						<img src="/img/header2.png" alt="logo" width="300">
					</div>
					<div class="cardshadow-lg">
						<div class="card-body p-5 pb-3">
							<h1 class="fs-4 card-title fw-bold mb-4">Welcome back!</h1>
							
							<form method="POST" class="needs-validation" novalidate="" autocomplete="off" id="loginForm">
								
								<div class="mb-3">
									<label class="mb-2 text-muted" for="username">Username</label>
									<input id="username" type="text" class="form-control" name="username" placeholder="" required autofocus >
								</div>

								<div class="mb-3">
									<label class="mb-2 text-muted" for="passwd">Password</label>
									<input id="passwd" type="password" class="form-control" name="passwd" placeholder="" required>
								</div>

								<div class="mb-3 d-flex justify-content-center">
									<button type="submit" class="btn btn-primary btn-lg w-100" id="loginBtn">Login</button>
								</div>
								<div class="d-flex justify-content-center">
									<a class="btn btn-secondary w-100" href="/recovery">Need help signing in?</a>
								</div>
							</form>
						</div>
						<div class="card-footer border-0 bg-white">
							<div class="text-center">
								Don't have an account? <a href="/onboarding" class="text-dark fw-bold" id="signUpBtn">Register</a>
							</div>
						</div>
					</div>
					<div class="text-center mt-5 text-muted">
						Copyright &copy; 2023 &mdash; Tradespace<br>
						INFO 4190-4290 S10 Summer 2023
					</div>
				</div>
			</div>
		</div>
	</section>

	<div class="modal fade" id="alertModal" tabindex="-1" aria-labelledby="alertModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="alertModalLabel"></h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<div id='modalSpinner' class="spinner-border text-primary my-5 text-center d-none" role="status" style="width: 3rem; height: 3rem;"></div>
								<i id='modalAlertError' class="fa-solid fa-triangle-exclamation text-danger my-5 text-center d-none" style="font-size: 3rem"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

	<script src="/js/login.js"></script>

</body>
</html>